#!/usr/bin/env python3

#/**
#@fn      ogr list (module | --all | -a).
#@brief   Muestra la lista de script de un modulo.
#@param   module: modulo del que queremos mostrar la lista.
#@param   --all: se muestran todos los modulos existentes.
#@param   -a: se muestran todos los modulos existentes.
#@return  lista de script del modulo.
#@exception ARG_REQUIRED: Argumento requerido.
#@exception MODULE_NOTFOUND: Modulo no encontrado.
#@version 0.1 - Primera version para OpenGnSys.
#@author  Alejandro Castaño, Wadobo Software S.L.
#@date    27/02/2011
#*/ ##

import libogr
import sys

if len(sys.argv) < 2:
    exit(1)

module = sys.argv[1]

scripts = libogr.get_scripts()

if('--all' == module or '-a' == module):
   modules = scripts.values()
   for scripts in modules:
      for script in scripts:
         print(script)
   exit(0)

if module not in scripts:
    exit(2)

for script in sorted(scripts[module]):
    print(script)

exit(0)
